stable

toolbox-0.0.99.2^3.git075b9a8d2779-4.fc35

FEDORA-2021-c86060570a created by rishi a year ago for Fedora 35

Restore backwards compatibility with existing containers

Reboot Required
After installing this update it is required that you reboot your system to ensure the changes supplied by this update are applied properly.

How to install

sudo dnf upgrade --refresh --advisory=FEDORA-2021-c86060570a

This update has been submitted for testing by rishi.

a year ago

This update's test gating status has been changed to 'failed'.

a year ago

This update's test gating status has been changed to 'waiting'.

a year ago

This update's test gating status has been changed to 'failed'.

a year ago
User Icon cheeselee commented & provided feedback a year ago
karma

Works for old containers. Newly created containers of F35 and CentOS 7 all work well.

BZ#1995439 /usr/bin/toolbox linked against glibc-2.34 doesn't run on older glibc
User Icon sumantrom commented & provided feedback a year ago
karma

Fixes the bug. Creates and enters F34 containers and F35 as well!

BZ#1995439 /usr/bin/toolbox linked against glibc-2.34 doesn't run on older glibc
User Icon petersen commented & provided feedback a year ago
karma

This LGTM.

On F35 I created an old fedora-toolbox-34 container using toolbox-0.0.99.2-1.fc34, then updated to this build and am able to enter the old container.

BZ#1995439 /usr/bin/toolbox linked against glibc-2.34 doesn't run on older glibc

This update has been submitted for stable by bodhi.

a year ago
User Icon rishi commented & provided feedback a year ago

Thanks for all the testing and the quick feedback!

This update's test gating status has been changed to 'passed'.

a year ago
User Icon harrymichal commented & provided feedback a year ago
karma

Tested with a number of old + new containers and all seem to be working alright.

BZ#1995439 /usr/bin/toolbox linked against glibc-2.34 doesn't run on older glibc
User Icon siosm commented & provided feedback a year ago
karma

Works for me

BZ#1995439 /usr/bin/toolbox linked against glibc-2.34 doesn't run on older glibc

This update has been pushed to stable.

a year ago
User Icon anthr76 provided feedback a year ago
karma
BZ#1995439 /usr/bin/toolbox linked against glibc-2.34 doesn't run on older glibc

Please login to add feedback.

Metadata
Type
bugfix
Severity
high
Karma
6
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
7 days
Dates
submitted
a year ago
in stable
a year ago
BZ#1995439 /usr/bin/toolbox linked against glibc-2.34 doesn't run on older glibc
0
6

Automated Test Results

passed